Bug 1414096 - Can't write to emtpydir volumes in 1.4.7-1.fc25.x86_64
Summary: Can't write to emtpydir volumes in 1.4.7-1.fc25.x86_64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kubernetes
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 18:17 UTC by Dusty Mabe
Modified: 2017-01-23 18:08 UTC (History)
9 users (show)

Fixed In Version: kubernetes-1.5.2-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-23 05:19:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Dusty Mabe 2017-01-17 18:17:55 UTC
Description of problem:

Can't write to emtpydir volumes in kubernetes-1.4.7-1.fc25.x86_64. Any volume that has an emptydir can't be written to. The problem was originally reported by a user here: 

https://lists.projectatomic.io/projectatomic-archives/atomic-devel/2017-January/msg00044.html

talked with pmorie and this is supposedly fixed by a large rework of how kubernetes handles selinux in kube 1.5.

workarounds for now:

- run the following command to relabel the problem directories:

    chcon -Rt container_file_t /var/lib/kubelet

- install/use the version of kubernetes in updates-testing. This is
  the version in updates-testing: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6ae65d21bd

Comment 1 Fedora Update System 2017-01-19 09:19:21 UTC
kubernetes-1.5.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-74d98bce50

Comment 2 Fedora Update System 2017-01-23 05:19:53 UTC
kubernetes-1.5.2-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.